For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Network API
      • GETList merchants
      • POSTCreate merchant
      • PUTUpsert merchant
      • GETRetrieve merchant
      • PATCHUpdate merchant
      • Merchant
      • POSTEvent: merchant.status.updated
      • MerchantFeePlans
  • Customer Request API
  • Management API
LogoLogo
Network APIMerchants

Update merchant

PATCH
/merchants/:merchant_id
PATCH
/network/v1/merchants/:merchant_id
$curl -X PATCH https://api.cash.app/network/v1/merchants/merchant_id \
> -H "Accept: Accept" \
> -H "X-Region: X-Region" \
> -H "X-Signature: X-Signature" \
> -H "User-Agent: User-Agent" \
> -H "Content-Type: application/json" \
> -d '{
> "merchant": {
> "brand_id": "brand ID",
> "category": "5432",
> "country": "US",
> "currency": "USD",
> "name": "merchant name",
> "reference_id": "reference ID",
> "address": {
> "country": "US",
> "address_line_1": "1215 4th Ave",
> "address_line_2": "Suite 2300",
> "locality": "Seattle",
> "postal_code": "98161-1001",
> "administrative_district_level_1": "Washington"
> },
> "site_url": "https://example.com",
> "status": "ACTIVE",
> "default_fee_plans": {
> "in_app_fee_plan_id": "FEE_kewjsmjt35t8qhzyjeqcst5me",
> "in_person_fee_plan_id": "FEE_kewjsmjt35t8qhzyjeqcst5me",
> "online_fee_plan_id": "FEE_kewjsmjt35t8qhzyjeqcst5me"
> }
> }
>}'
1{
2 "merchant": {
3 "id": "MMI_4vxs5egfk7hmta3qx2h6rp91x",
4 "brand_id": "BRAND_8ereg0tug2yiik8vx24xpe5br",
5 "name": "Example Business Name",
6 "country": "US",
7 "currency": "USD",
8 "category": "5432",
9 "reference_id": "external-id",
10 "status": "ACTIVE",
11 "created_at": "2022-01-01T12:00:00Z",
12 "updated_at": "2022-01-05T12:00:00Z",
13 "address": {
14 "country": "US",
15 "address_line_1": "1215 4th Ave",
16 "address_line_2": "Suite 2300",
17 "locality": "Seattle",
18 "postal_code": "98161-1001",
19 "administrative_district_level_1": "Washington"
20 },
21 "site_url": "string",
22 "metadata": {},
23 "default_fee_plans": {
24 "in_app_fee_plan_id": "FEE_kewjsmjt35t8qhzyjeqcst5me",
25 "in_person_fee_plan_id": "FEE_kewjsmjt35t8qhzyjeqcst5me",
26 "online_fee_plan_id": "FEE_kewjsmjt35t8qhzyjeqcst5me"
27 }
28 }
29}

Updates a merchant matching the provided merchant_id with the given attributes.

To clear a field, set it to null. Fields that are not provided in the request will not be changed.

This endpoint is not rate limited.

Scopes: MERCHANTS_WRITE

Was this page helpful?
Previous

Merchant

Next
Built with

Path parameters

merchant_idstringRequired

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Request

merchantobjectRequired
Details about the merchant to update.

Response

OK
merchantobject
A merchant represents a depository account when processing payments from Cash App customers. Merchants do not have direct access to Cash App, so processed payments are stored in this account until they are ready for settlement.

Errors

400
Bad Request Error